Cocoon API: Class XSPRequestLibrary

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.processor.xsp.library
Class XSPRequestLibrary

    java.lang.Object
      |
      +--org.apache.cocoon.processor.xsp.library.XSPRequestLibrary

public class XSPRequestLibrary
extends java.lang.Object

Constructor Summary
`XSPRequestLibrary()`

Method Summary
`static org.w3c.dom.Element` | `getAttribute(javax.servlet.http.HttpServletRequest request, java.lang.String name, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getAttributeNames(javax.servlet.http.HttpServletRequest request)`
`static org.w3c.dom.Element` | `getAttributeNames(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getAuthType(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getCharacterEncoding(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getContentLength(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getContentType(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getContextPath(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getCookies(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getDateHeader(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String format, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getHeader(javax.servlet.http.HttpServletRequest request, java.lang.String name, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getHeaderNames(javax.servlet.http.HttpServletRequest request)`
`static org.w3c.dom.Element` | `getHeaderNames(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getHeaders(javax.servlet.http.HttpServletRequest request, java.lang.String name)`
`static org.w3c.dom.Element` | `getHeaders(javax.servlet.http.HttpServletRequest request, java.lang.String name, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getIntHeader(javax.servlet.http.HttpServletRequest request, java.lang.String name, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getLocale(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static java.util.Locale[]` | `getLocales(javax.servlet.http.HttpServletRequest request)`
`static org.w3c.dom.Element` | `getLocales(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getMethod(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static java.lang.String` | `getParameter(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String defaultValue)`
`static org.w3c.dom.Element` | `getParameter(javax.servlet.http.HttpServletRequest request, java.lang.String name, java.lang.String defaultValue, org.w3c.dom.Document document)`
`static java.lang.String[]` | `getParameterNames(javax.servlet.http.HttpServletRequest request)`
`static org.w3c.dom.Element` | `getParameterNames(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getParameterValues(javax.servlet.http.HttpServletRequest request, java.lang.String name, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getPathInfo(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getPathTranslated(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getProtocol(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getQueryString(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRemoteAddr(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRemoteHost(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRemoteUser(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRequestedSessionId(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getRequestURI(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getScheme(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getServerName(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getServerPort(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getServletPath(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `getUserPrincipal(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isRequestedSessionIdFromCookie(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isRequestedSessionIdFromURL(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isRequestedSessionIdValid(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isSecure(javax.servlet.http.HttpServletRequest request, org.w3c.dom.Document document)`
`static org.w3c.dom.Element` | `isUserInRole(javax.servlet.http.HttpServletRequest request, java.lang.String role, org.w3c.dom.Document document)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSPRequestLibrary

    public XSPRequestLibrary()

Method Detail

### getAttribute

    public static org.w3c.dom.Element getAttribute(javax.servlet.http.HttpServletRequest request,
                                                   java.lang.String name,
                                                   org.w3c.dom.Document document)

### getAttributeNames

    public static java.lang.String[] getAttributeNames(javax.servlet.http.HttpServletRequest request)

### getAttributeNames

    public static org.w3c.dom.Element getAttributeNames(javax.servlet.http.HttpServletRequest request,
                                                        org.w3c.dom.Document document)

### getCharacterEncoding

    public static org.w3c.dom.Element getCharacterEncoding(javax.servlet.http.HttpServletRequest request,
                                                           org.w3c.dom.Document document)

### getContentLength

    public static org.w3c.dom.Element getContentLength(javax.servlet.http.HttpServletRequest request,
                                                       org.w3c.dom.Document document)

### getContentType

    public static org.w3c.dom.Element getContentType(javax.servlet.http.HttpServletRequest request,
                                                     org.w3c.dom.Document document)

### getLocale

    public static org.w3c.dom.Element getLocale(javax.servlet.http.HttpServletRequest request,
                                                org.w3c.dom.Document document)

### getLocales

    public static java.util.Locale[] getLocales(javax.servlet.http.HttpServletRequest request)

### getLocales

    public static org.w3c.dom.Element getLocales(javax.servlet.http.HttpServletRequest request,
                                                 org.w3c.dom.Document document)

### getParameterNames

    public static java.lang.String[] getParameterNames(javax.servlet.http.HttpServletRequest request)

### getParameterNames

    public static org.w3c.dom.Element getParameterNames(javax.servlet.http.HttpServletRequest request,
                                                        org.w3c.dom.Document document)

### getParameter

    public static org.w3c.dom.Element getParameter(javax.servlet.http.HttpServletRequest request,
                                                   java.lang.String name,
                                                   java.lang.String defaultValue,
                                                   org.w3c.dom.Document document)

### getParameter

    public static java.lang.String getParameter(javax.servlet.http.HttpServletRequest request,
                                                java.lang.String name,
                                                java.lang.String defaultValue)

### getParameterValues

    public static org.w3c.dom.Element getParameterValues(javax.servlet.http.HttpServletRequest request,
                                                         java.lang.String name,
                                                         org.w3c.dom.Document document)

### getProtocol

    public static org.w3c.dom.Element getProtocol(javax.servlet.http.HttpServletRequest request,
                                                  org.w3c.dom.Document document)

### getRemoteAddr

    public static org.w3c.dom.Element getRemoteAddr(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### getRemoteHost

    public static org.w3c.dom.Element getRemoteHost(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### getScheme

    public static org.w3c.dom.Element getScheme(javax.servlet.http.HttpServletRequest request,
                                                org.w3c.dom.Document document)

### getServerName

    public static org.w3c.dom.Element getServerName(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### getServerPort

    public static org.w3c.dom.Element getServerPort(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### isSecure

    public static org.w3c.dom.Element isSecure(javax.servlet.http.HttpServletRequest request,
                                               org.w3c.dom.Document document)

### getAuthType

    public static org.w3c.dom.Element getAuthType(javax.servlet.http.HttpServletRequest request,
                                                  org.w3c.dom.Document document)

### getContextPath

    public static org.w3c.dom.Element getContextPath(javax.servlet.http.HttpServletRequest request,
                                                     org.w3c.dom.Document document)

### getCookies

    public static org.w3c.dom.Element getCookies(javax.servlet.http.HttpServletRequest request,
                                                 org.w3c.dom.Document document)

### getDateHeader

    public static org.w3c.dom.Element getDateHeader(javax.servlet.http.HttpServletRequest request,
                                                    java.lang.String name,
                                                    java.lang.String format,
                                                    org.w3c.dom.Document document)

### getHeader

    public static org.w3c.dom.Element getHeader(javax.servlet.http.HttpServletRequest request,
                                                java.lang.String name,
                                                org.w3c.dom.Document document)

### getHeaderNames

    public static java.lang.String[] getHeaderNames(javax.servlet.http.HttpServletRequest request)

### getHeaderNames

    public static org.w3c.dom.Element getHeaderNames(javax.servlet.http.HttpServletRequest request,
                                                     org.w3c.dom.Document document)

### getHeaders

    public static java.lang.String[] getHeaders(javax.servlet.http.HttpServletRequest request,
                                                java.lang.String name)

### getHeaders

    public static org.w3c.dom.Element getHeaders(javax.servlet.http.HttpServletRequest request,
                                                 java.lang.String name,
                                                 org.w3c.dom.Document document)

### getIntHeader

    public static org.w3c.dom.Element getIntHeader(javax.servlet.http.HttpServletRequest request,
                                                   java.lang.String name,
                                                   org.w3c.dom.Document document)

### getMethod

    public static org.w3c.dom.Element getMethod(javax.servlet.http.HttpServletRequest request,
                                                org.w3c.dom.Document document)

### getPathInfo

    public static org.w3c.dom.Element getPathInfo(javax.servlet.http.HttpServletRequest request,
                                                  org.w3c.dom.Document document)

### getPathTranslated

    public static org.w3c.dom.Element getPathTranslated(javax.servlet.http.HttpServletRequest request,
                                                        org.w3c.dom.Document document)

### getQueryString

    public static org.w3c.dom.Element getQueryString(javax.servlet.http.HttpServletRequest request,
                                                     org.w3c.dom.Document document)

### getRemoteUser

    public static org.w3c.dom.Element getRemoteUser(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### getRequestedSessionId

    public static org.w3c.dom.Element getRequestedSessionId(javax.servlet.http.HttpServletRequest request,
                                                            org.w3c.dom.Document document)

### getRequestURI

    public static org.w3c.dom.Element getRequestURI(javax.servlet.http.HttpServletRequest request,
                                                    org.w3c.dom.Document document)

### getServletPath

    public static org.w3c.dom.Element getServletPath(javax.servlet.http.HttpServletRequest request,
                                                     org.w3c.dom.Document document)

### getUserPrincipal

    public static org.w3c.dom.Element getUserPrincipal(javax.servlet.http.HttpServletRequest request,
                                                       org.w3c.dom.Document document)

### isRequestedSessionIdFromCookie

    public static org.w3c.dom.Element isRequestedSessionIdFromCookie(javax.servlet.http.HttpServletRequest request,
                                                                     org.w3c.dom.Document document)

### isRequestedSessionIdFromURL

    public static org.w3c.dom.Element isRequestedSessionIdFromURL(javax.servlet.http.HttpServletRequest request,
                                                                  org.w3c.dom.Document document)

### isRequestedSessionIdValid

    public static org.w3c.dom.Element isRequestedSessionIdValid(javax.servlet.http.HttpServletRequest request,
                                                                org.w3c.dom.Document document)

### isUserInRole

    public static org.w3c.dom.Element isUserInRole(javax.servlet.http.HttpServletRequest request,
                                                   java.lang.String role,
                                                   org.w3c.dom.Document document)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.